;(function () {
  // This file runs in a render thread of the Electron app. It must be required (directly or
  // indirectly) from one of the html files.

  var count = 0;
  function notifyUser() {
    count += 1;
    var notif = new window.Notification('Annoying Alert ' + count, {
      body: 'See what happens when you try to click on it.',
      silent: true,
    });

    // Notifications are unclickable on my system currently, not sure why.
    notif.onclick = function () {
      console.log('notification ' + count + ' clicked');
      notif.close();
    };
    notif.onclose = function () {
      setTimeout(notifyUser, 5000);
    };
  }
  setTimeout(notifyUser, 1000);
}());
